Opened 8 years ago

Closed 8 years ago

#366 closed defect (fixed)

osgeo4w qGis 1.8.0-9 installation fails for Spatialite4.dll not found

Reported by: francescomarucci Owned by: osgeo4w-dev@…
Priority: major Component: Installer
Version: Keywords: qgis 1.8.0-9
Cc:

Description

since today the installation made with osgeo4w installer of qGis 1.8.0-9 fails when you try to open qGis.

the error is: spatialite4.dll not found

the 1.8.0-8 version installation works correctly.

regards, francesco

Change History (3)

comment:1 Changed 8 years ago by jef

retry please.

comment:2 Changed 8 years ago by esseffe

I've done a quick test, and I can confirm the problem reported by Francesco:

  • when installing 1.8.0-9 the spatialite package will not be automatically updated, thus causing a broken reference to spatialite4.dll
  • if you then manually update the spatialite package (or if you install the qgis-dev nightly build) then 1.8.0-9 will correctly start
  • anyway this 1.8.0-9 build is not able to connect any DB-file created using spatialite v4, because the CMake configuration wasn't updated as required before building on the top of spatialite4.dll

bye Sandro

comment:3 Changed 8 years ago by jef

Resolution: fixed
Status: newclosed

meanwhile fixed.

Note: See TracTickets for help on using tickets.